<?php
/*
Plugin Name: EzyOnlineBookings plugin
Version: 1.3
Description: EzyOnlineBookings is a flexible and powerful, yet easy to use online booking system.  
This widget lets your customers book and pay for your services right on your Wordpress website. 
To use this online booking software module please create an account at www.EzyOnlineBookings.com and enter the Customer ID found on the installation page within EzyOnlineBookings.
Author: EzyOnlineBookings.com
Author URI: http://www.EzyOnlineBookings.com
*/
/*  Copyright 2013  EzyOnlineBookings  (contact : www.EzyOnlineBookings.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function ezyonlinebookings_shortcode($atts) {
    extract( shortcode_atts( array(
        'services' => '',
        'id' => '',
        'embed' => 'N',
        'width' => '800',
        'height' => '600'
    ), $atts ) );

    if ($embed == "N") {

    $retval = "<noscript><style type=\"text/css\">#aJS { display: none}</style><a href=\"https://www.EzyOnlineBookings.com/JavascriptDisabled.htm\" target=\"_blank\"><img src=\"https://www.EzyOnlineBookings.com/button.aspx?customer=" . $id . "&ts=20120812105246\" alt=\"Book Now\" style=\"border: none\" /></a></noscript><link rel=\"stylesheet\" href=\"https://www.EzyOnlineBookings.com/css/tinybox.css\" /><script type=\"text/javascript\" src=\"https://www.EzyOnlineBookings.com/js/tinybox.js\"></script><a id=\"aJS\" href=\"javascript:TINY.box.show({iframe:'https://www.EzyOnlineBookings.com/booking/" . $id ."-mini.aspx?Services=" . $services . "',boxid:'frameless',width:850,height:600,fixed:false,maskid:'greymask',maskopacity:40})\"><img src=\"https://www.EzyOnlineBookings.com/button.aspx?customer=" . $id . "&ts=20120812105246\" alt=\"Book Now\" style=\"border: none\" /></a>";

    } else {

        $retval = "<iframe src=\"https://www.EzyOnlineBookings.com/booking/" . $id . "-mini.aspx\" height=\"" . $height . "\" width=\"" . $width . "\" frameborder=\"0\"></iframe>";
    }

    return $retval;

}
add_shortcode('ezyonlinebookings', 'ezyonlinebookings_shortcode');
function ezyonlinebookings_loaded()
{
	$widget_ops = array('classname' => 'ezyonlinebookings_widget', 'description' => "Add EzyOnlineBookings booking widgets to your sidebar and blog posts." );
	wp_register_sidebar_widget('ezyonlinebookings_widget', 'EzyOnlineBookings', 'widget_EzyOnlineBookings', $widget_ops);
}

add_action('plugins_loaded','ezyonlinebookings_loaded');


function widget_EzyOnlineBookings($args) {
	extract($args);

	$options = get_option("widget_sideEzyOnlineBookings");

	echo $before_widget;

	widget_sideEzyOnlineBookings();
	echo $after_widget;
}


function widget_sideEzyOnlineBookings() {
	$options = get_option("widget_sideEzyOnlineBookings");
	$ezyonlinebookings_id= $options['EzyOnlineBookingsId'];

?>

<!--CODE START--><noscript><style type="text/css">#aJS { display: none}</style><a href="https://www.EzyOnlineBookings.com/JavascriptDisabled.htm" target="_blank"><img src="https://www.EzyOnlineBookings.com/button.aspx?customer=<?php echo $ezyonlinebookings_id; ?>&ts=20120812105246" alt="Book Now" style="border: none" /></a></noscript><link rel="stylesheet" href="https://www.EzyOnlineBookings.com/css/tinybox.css" /><script type="text/javascript" src="https://www.EzyOnlineBookings.com/js/tinybox.js"></script><a id="aJS" href="javascript:TINY.box.show({iframe:'https://www.EzyOnlineBookings.com/booking/<?php echo $ezyonlinebookings_id; ?>-mini.aspx',boxid:'frameless',width:850,height:600,fixed:false,maskid:'greymask',maskopacity:40})"><img src="https://www.EzyOnlineBookings.com/button.aspx?customer=<?php echo $ezyonlinebookings_id; ?>&ts=20120812105246" alt="Book Now" style="border: none" /></a><!--CODE END-->
<?php
}

function EzyOnlineBookings_control()
{
	$options = get_option("widget_sideEzyOnlineBookings");
	if (!is_array( $options ))
	{
		$options = array('EzyOnlineBookingsId' => '');
	}

	if ($_POST['sideEzyOnlineBookings-Submit']) {
		$options['EzyOnlineBookingsId'] = htmlspecialchars($_POST['sideEzyOnlineBookings-EzyOnlineBookingsId']);
		update_option("widget_sideEzyOnlineBookings", $options);
	}

?>

<p>
<label for="sideEzyOnlineBookings-EzyOnlineBookingsId">EzyOnlineBookings Customer ID: </label><br />
<input class="widefat" type="text" id="sideEzyOnlineBookings-EzyOnlineBookingsId" name="sideEzyOnlineBookings-EzyOnlineBookingsId" value="<?php echo $options['EzyOnlineBookingsId'];?>" />
<br /><br />

<input type="hidden" id="sideEzyOnlineBookings-Submit" name="sideEzyOnlineBookings-Submit" value="1" />
</p>
<?php
}


// register the widget control

wp_register_widget_control('ezyonlinebookings_widget',  'EzyOnlineBookings', 'EzyOnlineBookings_control');

